curl --request PUT \
--url https://api.sendkit.dev/contacts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "john@example.com",
"first_name": "John",
"last_name": "Doe",
"user_id": "ext_123",
"unsubscribed": false,
"list_ids": [
"550e8400-e29b-41d4-a716-446655440000"
],
"properties": {
"company": "Acme"
}
}
'import requests
url = "https://api.sendkit.dev/contacts/{id}"
payload = {
"email": "john@example.com",
"first_name": "John",
"last_name": "Doe",
"user_id": "ext_123",
"unsubscribed": False,
"list_ids": ["550e8400-e29b-41d4-a716-446655440000"],
"properties": { "company": "Acme" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'john@example.com',
first_name: 'John',
last_name: 'Doe',
user_id: 'ext_123',
unsubscribed: false,
list_ids: ['550e8400-e29b-41d4-a716-446655440000'],
properties: {company: 'Acme'}
})
};
fetch('https://api.sendkit.dev/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "john@example.com",
"first_name": "John",
"last_name": "Doe",
"user_id": "ext_123",
"unsubscribed": false,
"properties": {
"COMPANY": "Acme",
"PLAN": "pro"
},
"lists": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Newsletter",
"created_at": "2026-03-03 10:00:00",
"updated_at": "2026-03-03 10:00:00"
}
],
"created_at": "2026-03-03 10:00:00",
"updated_at": "2026-03-03 10:00:00"
}{
"message": "Invalid API key."
}{
"message": "Not found."
}{
"message": "The email field is required."
}Update a contact
Update a contact’s fields. Only the provided fields will be updated. You can also sync lists and properties inline.
Authorizations
API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.
Path Parameters
The contact ID.
Body
The contact's email address.
255"john@example.com"
The contact's first name.
255"John"
The contact's last name.
255"Doe"
An external user identifier from your application.
255"ext_123"
Whether the contact should be marked as unsubscribed.
false
List IDs to attach the contact to. Replaces existing list memberships.
["550e8400-e29b-41d4-a716-446655440000"]
Property values to set on the contact. Keys must match existing property keys.
Show child attributes
Show child attributes
{ "company": "Acme" }
Response
Contact updated successfully
Unique identifier.
"550e8400-e29b-41d4-a716-446655440000"
The contact's email address.
"john@example.com"
The contact's first name.
"John"
The contact's last name.
"Doe"
An external user identifier from your application.
"ext_123"
Whether the contact has unsubscribed.
false
Custom property values. Keys are uppercased property names.
Show child attributes
Show child attributes
{ "COMPANY": "Acme", "PLAN": "pro" }
Lists this contact belongs to.
Show child attributes
Show child attributes
When the contact was created.
"2026-03-03 10:00:00"
When the contact was last updated.
"2026-03-03 10:00:00"

